StyleableBooleanProperty (JavaFX 28)
Description: declaration: module: javafx.graphics, package: javafx.css, class: StyleableBooleanProperty

# Class StyleableBooleanProperty

java.lang.Object
javafx.beans.binding.BooleanExpression
javafx.beans.property.ReadOnlyBooleanProperty
javafx.beans.property.BooleanProperty
javafx.beans.property.BooleanPropertyBase
javafx.css.StyleableBooleanProperty

All Implemented Interfaces:
  `Observable, Property<Boolean>, ReadOnlyProperty<Boolean>, ObservableBooleanValue, ObservableValue<Boolean>, WritableBooleanValue, WritableValue<Boolean>, StyleableProperty<Boolean>`

Direct Known Subclasses:
  `SimpleStyleableBooleanProperty`

public abstract class StyleableBooleanProperty extends BooleanPropertyBase implements StyleableProperty<Boolean>
This class extends `BooleanPropertyBase` and provides a partial implementation of a `StyleableProperty`. The method `StyleableProperty.getCssMetaData()` is not implemented. This class is used to make a `BooleanProperty`, that would otherwise be implemented as a `BooleanPropertyBase`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  - `BooleanPropertyBase`
  - `CssMetaData`
  - `StyleableProperty`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StyleableBooleanProperty()`
  The constructor of the `StyleableBooleanProperty`.
  `StyleableBooleanProperty(boolean initialValue)`
  The constructor of the `StyleableBooleanProperty`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applyStyle(StyleOrigin origin, Boolean v)`
  This method is called from CSS code to set the value of the property.
  `StyleOrigin`
  `getStyleOrigin()`
  Tells the origin of the value of the property.

  ### Methods declared in class BooleanPropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods declared in class BooleanProperty

  `asObject, bindBidirectional, booleanProperty, setValue, unbindBidirectional`

  ### Methods declared in class ReadOnlyBooleanProperty

  `readOnlyBooleanProperty`

  ### Methods declared in class BooleanExpression

  `and, asString, booleanExpression, booleanExpression, getValue, isEqualTo, isNotEqualTo, not, or`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface Observable

  `subscribe`

  ### Methods declared in interface ObservableValue

  `flatMap, getValue, map, orElse, subscribe, subscribe, when`

  ### Methods declared in interface ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface StyleableProperty

  `getCssMetaData`

  ### Methods declared in interface WritableValue

  `getValue`

- ## Constructor Details

  - ### StyleableBooleanProperty

    public StyleableBooleanProperty()
    The constructor of the `StyleableBooleanProperty`.

  - ### StyleableBooleanProperty

    public StyleableBooleanProperty(boolean initialValue)
    The constructor of the `StyleableBooleanProperty`.
    Parameters:
      `initialValue` - the initial value of the wrapped `Object`

- ## Method Details

  - ### applyStyle

    public void applyStyle(StyleOrigin origin, Boolean v)
    This method is called from CSS code to set the value of the property.
    Specified by:
      `applyStyle` in interface `StyleableProperty<Boolean>`
    Parameters:
      `origin` - the origin
      `v` - the value

  - ### getStyleOrigin

    public StyleOrigin getStyleOrigin()
    Tells the origin of the value of the property. This is needed to determine whether or not CSS can override the value.
    Specified by:
      `getStyleOrigin` in interface `StyleableProperty<Boolean>`
    Returns:
      the style origin